- Qt 5.15
- Qt WebEngine
- C++ Classes
- QWebEngineClientCertificateStore
- Qt 5.15.19 Reference Documentation

# QWebEngineClientCertificateStore Class

The QWebEngineClientCertificateStore class provides an in-memory store for client certificates. More...

Header: | #include <QWebEngineClientCertificateStore>
Since: | Qt 5.13

This class was introduced in Qt 5.13.

- List of all members, including inherited members

## Public Functions

void | add(const QSslCertificate &certificate, const QSslKey &privateKey)
QVector<QSslCertificate> | certificates() const
void | clear()
void | remove(const QSslCertificate &certificate)

## Detailed Description

The class allows to store client certificates in an in-memory store. When a web site requests an SSL client certificate, the QWebEnginePage::selectClientCertificate signal is emitted with matching certificates from the native certificate store or the in-memory store. The getInstance() method can be used to access the single instance of the class.

## Member Function Documentation

### void QWebEngineClientCertificateStore::add(const QSslCertificate &certificate, const QSslKey &privateKey)

Adds a certificate with the privateKey to the in-memory client certificate store.

### QVector<QSslCertificate> QWebEngineClientCertificateStore::certificates() const

Returns a list of the client certificates in the in-memory store. Returns an empty list if the store does not contain any certificates.

### void QWebEngineClientCertificateStore::clear()

Clears all the client certificates from the in-memory store.

### void QWebEngineClientCertificateStore::remove(const QSslCertificate &certificate)

Deletes all the instances of the client certificate in the in-memory client certificate store that matches the certificate certificate.